package com.hai.service.impl;

import com.hai.dao.OutRechargePriceMapper;
import com.hai.entity.OutRechargePrice;
import com.hai.entity.OutRechargePriceExample;
import com.hai.entity.OutRechargeUser;
import com.hai.entity.OutRechargeUserExample;
import com.hai.service.OutRechargePriceService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service("outRechargePriceServiceImpl")
public class OutRechargePriceServiceImpl implements OutRechargePriceService {

    @Resource
    private OutRechargePriceMapper outRechargePriceMapper;

    @Override
    public List<OutRechargePrice> getListRechargePrice(Map<String, String> map) {
        OutRechargePriceExample example = new OutRechargePriceExample();
        example.createCriteria().andTypeEqualTo(Integer.valueOf(map.get("Type")));
        return outRechargePriceMapper.selectByExample(example);
    }

    @Override
    public OutRechargePrice findById(Long id) {
        return null;
    }

    @Override
    public void insertRechargePrice(OutRechargePrice outRechargePrice) {
         outRechargePriceMapper.insert(outRechargePrice);
    }

    @Override
    public void updateRechargePrice(OutRechargePrice outRechargePrice) {
         outRechargePriceMapper.updateByPrimaryKey(outRechargePrice);
    }
}
